Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml.dom
Class DOMProducer

    java.lang.Object
      com.dbxml.xml.dtsm.Producer
          com.dbxml.xml.dom.DOMProducer

All Implemented Interfaces:
  Consumer

public final class DOMProducer
extends Producer
implements Consumer

DOMProducer

Constructor Summary
`DOMProducer(DocumentTable table)`

Method Summary
`void` | `attribute(DocumentTableEntry entry)`
`void` | `beginDocument(DocumentTableEntry entry)`
`void` | `beginElement(DocumentTableEntry entry)`
`void` | `cdata(DocumentTableEntry entry)`
`void` | `comment(DocumentTableEntry entry)`
`void` | `docType(DocumentTableEntry entry)`
`void` | `endDocument(DocumentTableEntry entry)`
`void` | `endElement(DocumentTableEntry entry)`
`void` | `entity(DocumentTableEntry entry)`
`void` | `entityRef(DocumentTableEntry entry)`
`org.w3c.dom.Node` | `getNode()`
`void` | `notation(DocumentTableEntry entry)`
`void` | `procInst(DocumentTableEntry entry)`
`void` | `text(DocumentTableEntry entry)`

Methods inherited from class com.dbxml.xml.dtsm.Producer
`getDocumentTable, getProperty, process, process, setDocumentTable, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.xml.dtsm.Consumer
`setDocumentTable`

Constructor Detail

### DOMProducer

    public DOMProducer(DocumentTable table)

Method Detail

### getNode

    public org.w3c.dom.Node getNode()

### beginDocument

    public void beginDocument(DocumentTableEntry entry)

  Specified by:
    `beginDocument` in interface `Consumer`

### endDocument

    public void endDocument(DocumentTableEntry entry)

  Specified by:
    `endDocument` in interface `Consumer`

### beginElement

    public void beginElement(DocumentTableEntry entry)

  Specified by:
    `beginElement` in interface `Consumer`

### endElement

    public void endElement(DocumentTableEntry entry)

  Specified by:
    `endElement` in interface `Consumer`

### attribute

    public void attribute(DocumentTableEntry entry)

  Specified by:
    `attribute` in interface `Consumer`

### procInst

    public void procInst(DocumentTableEntry entry)

  Specified by:
    `procInst` in interface `Consumer`

### text

    public void text(DocumentTableEntry entry)

  Specified by:
    `text` in interface `Consumer`

### cdata

    public void cdata(DocumentTableEntry entry)

  Specified by:
    `cdata` in interface `Consumer`

### comment

    public void comment(DocumentTableEntry entry)

  Specified by:
    `comment` in interface `Consumer`

### entity

    public void entity(DocumentTableEntry entry)

  Specified by:
    `entity` in interface `Consumer`

### notation

    public void notation(DocumentTableEntry entry)

  Specified by:
    `notation` in interface `Consumer`

### docType

    public void docType(DocumentTableEntry entry)

  Specified by:
    `docType` in interface `Consumer`

### entityRef

    public void entityRef(DocumentTableEntry entry)

  Specified by:
    `entityRef` in interface `Consumer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group